# Salary class representing the salary information
class Salary:
    def __init__(self, amount: float) -> None:
        self.amount = amount

    def get_monthly_amount(self) -> float:
        return self.amount / 12

# Professor class depending on Salary class
class Professor:
    def __init__(self, name: str, account_balance: float) -> None:
        self.name = name
        self.account_balance = account_balance

    def receive_salary(self, salary: Salary) -> None:
        self.account_balance += salary.get_monthly_amount()

    def get_professor_info(self) -> str:
        return f"Professor {self.name} has a bank account balance of {self.account_balance}"

# Creating instances
salary_of_professor = Salary(60000) # Creating a Salary object

prof = Professor("Dr. Smith", 10000.0)   # Creating a Professor object
print(prof.get_professor_info())       #> Output: Professor Dr. Smith has a bank account balance of 10000.0

prof.receive_salary(salary_of_professor) # Receiving salary

# Accessing professor information
print(prof.get_professor_info())  #> Output: Professor Dr. Smith has a bank account balance of 15000.0